/// <reference types="@fastly/js-compute" />
import { Asset, AssetsMap } from "./types.js";
export declare class StaticAssets {
    readonly assetsMap: AssetsMap;
    constructor(assetsMap: AssetsMap);
    getAsset(key: string): Asset;
    serveAsset(asset: Asset): Response;
    serveAssetForEvent(event: FetchEvent, pathPrefix?: string): Response | null;
}
//# sourceMappingURL=static-assets.d.ts.map